using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class Employee_frmGenarateBill : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["Designation"] != null && Session["Designation"].ToString() == "Employee")
            {
                if (!IsPostBack)
                {
                    GetBillDesc();
                    ManagerMailid();
                }
            }
            else
                Response.Redirect("~/frmLogin.aspx");
    }
    clsBills objBill = new clsBills();
    protected void btnSendBill_Click(object sender, EventArgs e)
    {
        try
        {
            if (fileupload.HasFile)
            {
                string filepath = "~/UpLoadBills/" + fileupload.FileName;              
                objBill.BillDesc = ddlBillDesc.SelectedItem.ToString();
                objBill.BillDate = GMDatePicker1.Date;
                objBill.BillAmt = decimal.Parse(txtBillAmt.Text);
                objBill.DueAmt = decimal.Parse(txtDue.Text);
                objBill.DueDate = GMDatePicker2.Date;
                objBill.PaidAmt =decimal.Parse("0000.00");
                objBill.BillPath = filepath;
                objBill.EmpId = Session["UserId"].ToString();
                objBill.MgrId = ddlManagerid.SelectedValue.ToString();
                fileupload.SaveAs(MapPath(filepath));
                objBill.InsertBills();
                lblMsg.Text = "BillSend Succesfuly To" + ddlManagerid.SelectedValue.ToString();
                lblMsg.Visible = true;
                Cleardata();
            }
            else
            {
                Page.RegisterClientScriptBlock("Dhanush", "<script>alert('First U have to Browse the file')</script>");
            }
           
            
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error" + ex.Message;
            lblMsg.Visible = true;
        }
    }

    private void Cleardata()
    {
       
        txtBillAmt.Text = "";
        txtDue.Text = "";
        
        for (int i = 0; i < ddlManagerid.Items.Count; i++)
            ddlManagerid.Items[i].Selected = false;
        ddlManagerid.Items[0].Selected = true;

        for (int i = 0; i < ddlBillDesc.Items.Count; i++)
            ddlBillDesc.Items[i].Selected = false;
        ddlBillDesc.Items[0].Selected = true;
  
    }
    void GetBillDesc()
    {
        ddlBillDesc.DataSource = objBill.GetBillDesc();
        ddlBillDesc.DataValueField = "BillDesc";
        ddlBillDesc.DataTextField = "BillDesc";
        ddlBillDesc.DataBind();
        ddlBillDesc.Items.Insert(0, "--Select--");
    }
    void ManagerMailid()
    {
        ddlManagerid.DataSource = objBill.GetManagerMailId();
            ddlManagerid.DataValueField = "EmpId";
        ddlManagerid.DataTextField = "EmailId";
        ddlManagerid.DataBind();
        ddlManagerid.Items.Insert(0, "--Select--");
    }
    protected bool Checkfiletype(string filename)
    {
        string ext = Path.GetExtension(filename);
        switch (ext.ToLower())
        {
            case ".txt":
                return true;
                
            case ".doc":
                return true;
               
            case ".pdf":
                return true;
            case ".jpg":
                return true;
            case ".jpeg":
                return true;
            default:
                return false;
                
        }
    }
    protected void btnload_Click(object sender, EventArgs e)
    {
        if (fileupload.HasFile)
        {
            if (Checkfiletype(fileupload.FileName))
            {
                string filepath = "~/UpLoadBills/" + fileupload.FileName;
                fileupload.SaveAs(MapPath(filepath));
               
            }
        }
        else
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('First U have to Browse the file')</script>");
    }
    protected void btnshow_Click(object sender, EventArgs e)
    {
        if (fileupload.HasFile)
      
            Response.Redirect( "~/UpLoadBills/" + fileupload.FileName);
        else
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('First U have to Browse the file')</script>");
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblMsg.Text = "";
    }
}

