using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class FinanceManager_Reports_frmBillsByEmp : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Designation"] != null && Session["Designation"].ToString() == "Finance Manager")
        {
            if (!IsPostBack)
            {
                try
                {
                    GetAllBills();
                }
                catch (Exception ex)
                {
                    lblMsg.Text = ex.Message;
                }
            }

        }
        else
            Response.Redirect("~/frmLogin.aspx");
        
           
        
    }
    clsBills objBills = new clsBills();
    void GetAllBills()
    {
       
        DataSet dsAllBills = objBills.GetAllBillsByDeptId(Session["DeptId"].ToString ());
        grdBillInfo.DataSource = dsAllBills.Tables[0];
        grdBillInfo.DataBind();
    }

    void GetBillData()
    {
        try
        {
            objBills.BillId = Id;
            DataSet dsBill = objBills.GetBillByBillId();
            DataRowCollection drc = dsBill.Tables[0].Rows;
            if (drc.Count > 0)
            {
                lblBillid.Text = drc[0]["BillId"].ToString();
                lblbilldesc.Text = drc[0]["BillDesc"].ToString();
                lblbilldate.Text = drc[0]["BillDate"].ToString();
                lblbillamt.Text = drc[0]["BillAmount"].ToString();
                lbldueamt.Text = drc[0]["DueAmount"].ToString();
                lblduedate.Text = drc[0]["DueDate"].ToString();
                lblpayamt.Text = drc[0]["PaidAmount"].ToString();
                ViewState["DeptId"] = drc[0]["DeptId"];
                ViewState["EmpId"] = drc[0]["EmpId"];
                lblmail.Text = drc[0]["EmpMailId"].ToString();
                ViewState["MgrId"] = drc[0]["MgrId"];
                ViewState["BillPath"] = drc[0]["BillPath"];
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }

    clsEmpDetails objEmp = new clsEmpDetails();
    void GetEmpDetails()
    {

        objEmp.EmpId = ViewState["EmpId"].ToString();

        DataSet dsEmp = objEmp.GetEmpDetails();
        DataRowCollection drc = dsEmp.Tables[0].Rows;
        if (drc.Count > 0)
        {
            
            lblempid.Text = drc[0]["EmpName"].ToString();

            //lblDOB.Text = drc[0][2].ToString();
            //lblDOJ.Text = drc[0][3].ToString();

            //txtAddress.Text = drc[0][4].ToString();
            //txtCity.Text = drc[0][5].ToString();
            //txtState.Text = drc[0][6].ToString();
            //txtCountry.Text = drc[0][7].ToString();
            //txtMailId.Text = drc[0][8].ToString();
            //txtContactNo.Text = drc[0][9].ToString();

            //ViewState["DeptId"] = drc[0][10];
            //lblDesg.Text = drc[0][11].ToString();
            //ViewState["MgrId"] = drc[0][12];
        }

    }
    void GetManagerName()
    {

        objEmp.EmpId = ViewState["MgrId"].ToString();
        DataSet dsEmp = objEmp.GetEmpNameByEmpId();
        DataRowCollection drc = dsEmp.Tables[0].Rows;
        if (drc.Count > 0)
        {
            lblmgr.Text = drc[0]["EmpName"].ToString();
        }
    }
    clsDept objdept = new clsDept();
    void GetDeptName()
    {
        objdept.DeptId = ViewState["DeptId"].ToString();

        DataSet dsDept = objdept.GetDeptDetailsBYDeptId();
        DataRowCollection drc = dsDept.Tables[0].Rows;
        if (drc.Count > 0)
        {
            lbldeptid.Text = drc[0]["DeptName"].ToString();
        }
    }
    protected void btnClose_Click(object sender, EventArgs e)
    {
        panelBills.Visible = false;
        panelEmpDetails.Visible = false;
    }
    public static string Id;
    protected void grdBillInfo_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        try
        {
            if (e.CommandName.ToString() == "ShowBill")
            {
                Id = e.CommandArgument.ToString();
                GetBillData();
                GetEmpDetails();
                GetManagerName();
                GetDeptName();
                //GetStatus();
                panelBills.Visible = true;
                panelEmpDetails.Visible = true;
            }
        }
        
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }
    protected void linkbtnShowBill_Click(object sender, EventArgs e)
    {
        try
        {
            string path = ViewState["BillPath"].ToString();
            Response.Redirect(path);
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }
    clsPayDeatails objpay = new clsPayDeatails();
    void GetStatus()
    {
        //objpay.BillId = Id;
        //bool status = objpay.GetStatusofBill();
        //if (status == true)
        //    lblStatus.Text = "Bill Paid";
        //else if(status==false)
        //    lblStatus.Text = "Not Paid";
    }
}
