using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class FinanceManager_frmBillDetails : System.Web.UI.Page
{
    public string Id;
    clsPayDeatails objPay = new clsPayDeatails();
    clsBills objBills = new clsBills();
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["Designation"] != null && Session["Designation"].ToString() == "Finance Manager")
            {
                if (!IsPostBack)
                {
                    Id = Request["Id"];
                    GetData();
                    Status();
                    panelPayDetails.Visible = false;
                }
            }
            else
                Response.Redirect("~/frmLogin.aspx");
        
    }
    void GetData()
    {
        try
        {
            objBills.BillId = Id;
            DataSet dsBill = objBills.GetBillByBillId();
            DataRowCollection drc = dsBill.Tables[0].Rows;
            if (drc.Count > 0)
            {
                txtBillId.Text = drc[0]["BillId"].ToString();
                txtBillDesc.Text = drc[0]["BillDesc"].ToString();
                txtBilldate.Text = drc[0]["BillDate"].ToString();
                txtBillAmt.Text = drc[0]["BillAmount"].ToString();
                txtDueAmount.Text = drc[0]["DueAmount"].ToString();
                txtDueDate.Text = drc[0]["DueDate"].ToString();
               
                txtDeptId.Text = drc[0]["DeptId"].ToString();
                txtEmpId.Text = drc[0]["EmpId"].ToString();
                ViewState["BillPath"] = drc[0]["BillPath"];
                txtMailId.Text = drc[0]["EmpMailId"].ToString();
                txtStatus.Text = drc[0]["BillStatus"].ToString();
                ViewState["BillStatus"] = drc[0]["BillStatus"];
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }

    void Status()
    {
        string status = ViewState["BillStatus"].ToString();
        if (status == "NotAccept")
            btnAccept.Enabled = true;
        else if (status == "Accept")
            btnAccept.Enabled = false ;
    }
    protected void btncancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/FinanceManager/frmBillInfo.aspx");
    }
    protected void btnAccept_Click(object sender, EventArgs e)
    {
        panelPayDetails.Visible = true;
    }
    
    protected void btnPay_Click(object sender, EventArgs e)
    {
        try
        {
            objPay.BillId = txtBillId.Text;
            objPay.BankName = txtBankName.Text;
            objPay.PayDate =Convert.ToDateTime (GMDatePicker1.DateString);
            objPay.PayMode = ddlPayTypeMode.SelectedValue.ToString();
            objPay.PayNo = txtPayNo.Text;
            objPay.EmpId = txtEmpId.Text;
            objPay.ManagerId = Session["UserId"].ToString();
            objPay.InsertPayDetails();
            objBills.BillId = txtBillId.Text;
            objBills.PaidAmt=decimal.Parse (txtBillAmt.Text);
            objBills.UpdatePaidAmount();
            lblMsg.Text = "Amount Tranfored..";
            lblMsg.Visible = true;
        }
        catch (Exception ex)
        {
            lblMsg.Text ="Error : "+ex.Message;
            lblMsg.Visible = true;
        }
    }
    protected void linkShowBill_Click(object sender, EventArgs e)
    {
        string path= ViewState["BillPath"].ToString ();
        Response.Redirect(path);
    }
}
